flare_0.19-1_all.deb


Advertisement

Description

flare - Meta package to deal with package name changes in Flare 0.19

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename flare_0.19-1_all.deb
Package name flare
Package version 0.19
Package release 1
Package architecture all
Package type deb
Category games interface::graphical interface::x11 role::program uitoolkit::sdl use::gameplaying x11::application
Homepage http://flarerpg.org/
License -
Maintainer Jan-Hendrik Peters <hennr@hennr.name>
Download size 12.74 KB
Installed size 57.00 KB
This is a transitional metapackage to deal with package name changes of 0.19
(separation between engine and game data).

Alternatives

Package Version Architecture Repository
flare_0.19-1_all.deb 0.19 all Debian Main
flare - - -

Requires

Name Value
flare-engine >= 0.19

Download

Type URL
Mirror ftp.br.debian.org
Binary Package flare_0.19-1_all.deb
Source Package flare

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install flare deb package:
    # sudo apt-get install flare

Files

Path
/usr/share/doc/flare/changelog.Debian.gz
/usr/share/doc/flare/copyright

Changelog

2014-09-27 - Manuel A. Fernandez Montecelo <mafm@debian.org>
flare (0.19-1) unstable; urgency=medium
* New upstream release (Closes: #734742)
* Convert to meta-packages to depend on new package names brought with
version 0.19, due to the separation of engine and game data (Closes:
#742062, #762976).
2013-05-08 - Manuel A. Fernandez Montecelo <mafm@debian.org>
flare (0.18-1) unstable; urgency=low
[ Jan-Hendrik Peters ]
* New upstream version 0.18
[ Manuel A. Fernandez Montecelo ]
* Bump Policy Standards-Version to 3.9.4 (no changes needed)
* Change maintaner address
* Remove obsolete "DM-Upload-Allowed: yes"
2012-12-28 - Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
flare (0.17.1-1~exp1) experimental; urgency=low
[ Jan-Hendrik Peters ]
* New upstream version
[ Manuel A. Fernandez Montecelo ]
* Bump Policy Standards-Version to 3.9.3 (no changes needed)
* debhelper compatibility level set to 9 (brings fortified builds and other
goodies), dependencies change accordingly
* Depending on fonts (liberation and unifont) rather than installing the
embedded ones
* Review of debian/copyright for the new version, documenting licenses of
included fonts, updating URLs, copyright file format
* Updated watch file
2011-12-26 - Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
flare (0.15.1-1) unstable; urgency=low
[ Jan-Hendrik Peters <hennr@hennr.name> ]
* New upstream release (Closes: #646455)
- Imported Upstream version 0.15.1 [76cb190]
* Added new build dependency: libsdl-ttf2.0-dev
[ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
* Remove stuff in debian/ now present upstream:
- flare.desktop (now in distribution/flare.desktop.in)
- flare-icon.png (installed by CMake from art_src/logo/flare_logo.svg), and
debian/source/include-binaries (created because of this icon)
* debian/rules:
- No need for "override_dh_fixperms" with this upstream
- Now it doesn't contain the master CMakeLists.txt on build, so no need for
overrides to "dh_auto_configure", "dh_auto_build" or "dh_auto_clean"
(already commented out); nor "--builddirectory=build" to the base "dh"
template.
- "override_dh_install" to include --fail-missing (to avoid not installing
new files by mistake, in this package with the data changing so often)
* debian/copyright: minor updates, e.g. changes to dir names and clarifying
that files are under GPLv3/CC-BY-SAv3 or later (not just 3.0)
* Update package descriptions (text taken from upstream's README)
2011-11-15 - Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
flare (0.14.1-5) unstable; urgency=low
[ Jan-Hendrik Peters <hennr@hennr.name> ]
* Correcting path to icon in the menu file
2011-11-14 - Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
flare (0.14.1-4) unstable; urgency=low
* Installing .desktop file in the proper directory, otherwise it doesn't work
* Quell lintian warnings:
- latest-debian-changelog-entry-without-new-date: fix date of entry for
version 0.14.1-3, it was set to one hour too early and didn't notice any
lintian warning before uploading
- duplicate-short-description: Improving description of packages flare and
flare-data
2011-10-22 - Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
flare (0.14.1-3) unstable; urgency=low
* Disabling the override of dh_fixperms at the moment, it doesn't
seem to work on buildd machines.  Better a lintian warning that
not being able to build in all architectures...

See Also

Package Description
flashbake_0.27.1-0.1_all.deb automated snapshots with git
flashbench_62-1+b1_amd64.deb identify flash storage properties
flashproxy-client_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - client transport plugin
flashproxy-common_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - common library
flashproxy-facilitator_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - facilitator
flashproxy-proxy_1.7-4_all.deb Pluggable transport to circumvent IP address blocking - browser proxy
flashrom_1.0-1_amd64.deb Identify, read, write, erase, and verify BIOS/ROM/flash chips
flasm_1.62-10_amd64.deb assembler and disassembler for Flash (SWF) bytecode
flatlatex_0.8-1_all.deb Python3 LaTeX math converter to unicode text - binaries
flatpak-builder-tests_1.0.5-1_amd64.deb Application deployment framework for desktop apps (tests)
flatpak-builder_1.0.5-1_amd64.deb Flatpak application building helper
flatpak-tests_1.2.5-0+deb10u1_amd64.deb Application deployment framework for desktop apps (tests)
flatpak-xdg-utils-tests_1.0.0-1_amd64.deb as-installed tests for flatpak-xdg-utils
flatpak-xdg-utils_1.0.0-1_amd64.deb xdg-open and xdg-email reimplementation for containerized apps
flatpak_1.2.5-0+deb10u1_amd64.deb Application deployment framework for desktop apps
Advertisement
Advertisement